This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 808789 - gedit crashes and freezes system when dragging title tab bar.
gedit crashes and freezes system when dragging title tab bar.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 19:02 EDT by Tim Kitsos
Modified: 2013-02-13 17:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:04:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smolt data (3.39 KB, application/octet-stream)
2012-03-31 19:02 EDT, Tim Kitsos
no flags Details
gedit backtrace from faked SIGSEGV (71.48 KB, application/octet-stream)
2012-05-03 17:14 EDT, Pedro Francisco
no flags Details
fix possible infinite loop (936 bytes, patch)
2012-05-11 16:59 EDT, Edward Sheldrake
no flags Details | Diff
futile attempt to patch gedit (1.11 KB, patch)
2012-05-11 17:47 EDT, Edward Sheldrake
no flags Details | Diff

  None (edit)
Description Tim Kitsos 2012-03-31 19:02:29 EDT
Created attachment 574246 [details]
smolt data

Description of problem: gedit crashes and freezes system when dragging title tab bar.
Up to date Fedora 16 system. 3.3.0-4.fc16.i686.PAE GNOME 3.2.1

[tim@localhost ~]$ rpm -q gedit
gedit-3.2.6-1.fc16.i686
[tim@localhost ~]$ 

How reproducible: Always

Steps to Reproduce:
Create 2 text files. Test1.txt and Test2.txt  Open one from inside of gedit. Open the other by double clicking file inside of file manager. Should then have two separate windows for gedit each with one file open in them. Now try to move the "tab" bar in gedit with the name of file on the tab toward the other gedit window. NOTE: ONE OF THE FILE MUST BE OPENED USING THE FILE MANAGER!

Actual results:
This will cause an error. I did the same thing yesterday with other programs open and the whole system froze, cursor would still move but nothing would work.  Ctrl Alt Del would not work. 

Ctrl Alt F2 did work then I input the halt command and the little Fedora balloon showed up as plain white and froze. Then I held the on/off button on laptop to force it to turn off. - I was trying to see if you could put both files on one gedit window like you can in Chrome browser by draging tab from one window to another.  

Expected results:
If this is not possible it should still not freeze the system or cause an error.
Comment 1 Michael Schwendt 2012-05-03 16:41:01 EDT
Reproducible with F-17 according to a current thread:
http://lists.fedoraproject.org/pipermail/test/2012-May/107750.html

Steps to reproduce:

1. open a gnome-terminal
2. in terminal, run:
   gedit &
   killall nautilus ; nautilus /usr/share/doc/fedora-release-17 &
3. in nautilus, double-click the "GPL" file to open it in a second gedit
4. in terminal, run:
   sleep 15; killall gedit
5. with step 4 as a safety-measure, now you've got 15 seconds left to drag the "GPL" tab in the second gedit to the empty gedit window
6. drag operation freezes mouse pointer, windows and keyboard - wait for the sleep'n'kill to end that freeze
Comment 2 Pedro Francisco 2012-05-03 17:14:04 EDT
Created attachment 581967 [details]
gedit backtrace from faked SIGSEGV

Immediately before I made gedit hang I ran
$ sleep 15; killall -SEGV gedit
and this is the result. I don't know if it's worth something?
Comment 3 Edward Sheldrake 2012-05-04 11:37:15 EDT
I think this has something to do with a mismatched DISPLAY environment variable - from nautilus, DISPLAY=:0.0 whereas in the terminal, DISPLAY=:0 . Perhaps something is not comparing the value of DISPLAY in the right way.

If you do "export DISPLAY=:0.0" in the terminal, then gedit launched from nautilus and gedit launched from the terminal will open tabs in the same window.
Comment 4 Pedro Francisco 2012-05-11 07:16:13 EDT
Do you think we should fill a bug saying «"$DISPLAY" differs depending on parent application?»
Comment 5 Edward Sheldrake 2012-05-11 16:59:55 EDT
Created attachment 583935 [details]
fix possible infinite loop

This patch fixes the infinite loop but doesn't solve the whole problem. Instead of hanging, attempting to drag the second gedit window into the first doesn't work, creates a new window, and leaves behind an empty gedit window.

However, this patch may be valid on it's own anyway.
Comment 6 Edward Sheldrake 2012-05-11 17:47:59 EDT
Created attachment 583938 [details]
futile attempt to patch gedit

While creating this patch for gedit I realised it's never going to solve the problem - you can still hit the bug if you open a gedit window on another workspace (with $DISPLAY as a different string), then move the window to the first workspace.

Something deeper in gtk3 needs fixing.
Comment 7 Fedora End Of Life 2013-01-16 12:25:37 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Pedro Francisco 2013-01-31 07:25:51 EST
gedit no longer crashes.

However, the $DISPLAY issue still exists. Opened bug #906307 .
Comment 9 Fedora End Of Life 2013-02-13 17:04:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.